Bugzilla (bugzilla.redhat.com) will be under maintenance for infrastructure upgrades and will not be unavailable on July 31st between 12:30 AM - 05:30 AM UTC. We appreciate your understanding and patience. You can follow status.redhat.com for details.
Bug 1419600 (CVE-2017-5844) - CVE-2017-5844 gstreamer-plugins-base: Floating point exception in gst_riff_create_audio_caps
Summary: CVE-2017-5844 gstreamer-plugins-base: Floating point exception in gst_riff_cr...
Keywords:
Status: CLOSED ERRATA
Alias: CVE-2017-5844
Product: Security Response
Classification: Other
Component: vulnerability
Version: unspecified
Hardware: All
OS: Linux
low
low
Target Milestone: ---
Assignee: Red Hat Product Security
QA Contact:
URL:
Whiteboard:
Depends On: 1419621 1419619 1419620 1419622
Blocks: 1415638 1419601
TreeView+ depends on / blocked
 
Reported: 2017-02-06 15:06 UTC by Adam Mariš
Modified: 2019-09-29 14:06 UTC (History)
26 users (show)

Fixed In Version: gstreamer1-plugins-base 1.10.3
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2017-02-07 10:09:51 UTC


Attachments (Terms of Use)


Links
System ID Private Priority Status Summary Last Updated
Red Hat Product Errata RHSA-2017:2060 0 normal SHIPPED_LIVE Moderate: GStreamer security, bug fix, and enhancement update 2017-08-01 19:34:49 UTC

Description Adam Mariš 2017-02-06 15:06:27 UTC
A floating point exception was found in gst_riff_create_audio_caps.

Upstream bug:

https://bugzilla.gnome.org/show_bug.cgi?id=777525

Upstream patch:

https://github.com/GStreamer/gst-plugins-base/commit/5d505d108800cef210f67dcfed2801ba36beac2a

CVE assignment:

http://seclists.org/oss-sec/2017/q1/284

Comment 1 Adam Mariš 2017-02-06 15:30:24 UTC
Created gstreamer1-plugins-base tracking bugs for this issue:

Affects: fedora-all [bug 1419620]

Comment 2 Adam Mariš 2017-02-06 15:30:39 UTC
Created mingw-gstreamer1-plugins-base tracking bugs for this issue:

Affects: fedora-all [bug 1419622]

Comment 3 Adam Mariš 2017-02-06 15:30:55 UTC
Created mingw-gstreamer-plugins-base tracking bugs for this issue:

Affects: fedora-all [bug 1419621]

Comment 4 Adam Mariš 2017-02-06 15:31:08 UTC
Created gstreamer-plugins-base tracking bugs for this issue:

Affects: fedora-all [bug 1419619]

Comment 6 errata-xmlrpc 2017-08-01 22:31:28 UTC
This issue has been addressed in the following products:

  Red Hat Enterprise Linux 7

Via RHSA-2017:2060 https://access.redhat.com/errata/RHSA-2017:2060


Note You need to log in before you can comment on or make changes to this bug.